<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full flex items-center justify-between gap-4">
  <div class="flex items-center gap-4 grow">
    <app-type-icon [color]="adapter.color" [icon]="adapter.icon"></app-type-icon>
    <div class="text-text-500 text-base">
      <div class="font-semibold">{{ adapter.name }}</div>
      <div class="w-56 truncate text-sm"><span class="text-text-300">url:</span> {{ adapter.protocol | lowercase }}://{{ adapter.host }}:{{ adapter.port }}</div>
      <!-- <div class="w-44 truncate text-sm mt-0.5"><span class="text-text-300">adid:</span> {{ adapter.adid }}</div> -->
    </div>
  </div>
</div>
